absolute.size {grid} | R Documentation

## Absolute Size of a Grob

### Description

This function converts a unit object into absolute units. Absolute units are unaffected, but non-absolute units are converted into `"null"` units.

### Usage

    absolute.size(unit)

### Arguments

`unit` | An object of class `"unit"`.

### Details

Absolute units are things like `"inches"`, `"cm"`, and `"lines"`. Non-absolute units are `"npc"` and `"native"`.

This function is designed to be used in `widthDetails` and `heightDetails` methods.

### Value

An object of class `"unit"`.

### Author(s)

Paul Murrell

### See Also

`widthDetails` and `heightDetails` methods.

[Package Contents]